MozillaZine

How to list only AddOns compatible with old FF v52 format?

User Help for Mozilla Firefox
pstover
 
Posts: 296
Joined: July 29th, 2005, 3:25 am

Post Posted June 12th, 2019, 6:03 am

How can I list (and filter) all AddOns which are NOT designed for newer FF v57ff or which are compatible with old FF v52 AddOns?

On the page

https://addons.mozilla.org/de/firefox/s ... Screenshot

There is no such filter for AddOn type or browser version.

Furthermore I wonder how I can download the old *.xpi file for the old format when I version for the new WebExtension AND the old AddOn type exists.

Peter

Brummelchen
 
Posts: 4322
Joined: March 19th, 2005, 10:51 am

Post Posted June 12th, 2019, 6:37 am

you cant, and yes, there is no filter for this. anyhow mozilla is going to remove all legacy extensions. thus you only find webextensions on AMO. webextensions are usable since v48.

dickvl

User avatar
 
Posts: 52688
Joined: July 18th, 2005, 3:25 am

Post Posted June 12th, 2019, 7:17 am

Are you talking about Legacy extensions (Firefox 52 (42+) supports WebExtensions)?
The Add-ons website no longer hosts Legacy extensions.
See http://legacycollector.org/firefox-addons/

jscher2000

User avatar
 
Posts: 10623
Joined: December 19th, 2004, 12:26 am
Location: Silicon Valley, CA USA

Post Posted June 12th, 2019, 8:12 am

I have an experimental search page that shows the compatibility range of the current version of the extension. However, there could be older versions with different ranges, which I don't display because that isn't included in the main API call.

https://www.jeffersonscher.com/sumo/extensions.php

Return to Firefox Support


Who is online

Users browsing this forum: No registered users and 11 guests